void test1 (int N)
{
for(int i=0; i<N; ++i) 
    for(int j=0; j<N; ++j) 
        for(int k=0; k<N; ++k) 
            A[i][k] = B[i][j] * C[j][k]; 
}

void test2 (int N)
{
for(int i=0; i<N; ++i) 
    for(int j=i; j<N; ++j) 
        A[j] = A[2*i+1]; 
}

void test3 (int N)
{
for(int i=0; i<N; ++i) 
    for(int j=0; j<i; ++j) 
        for(int k=i; k<N; ++k) 
            A[i][j] = A[i][j-4] * A[k][i-1]; 
}

void test4 (int N)
{
for(int i=0; i<100; ++i)
    x[i+100] = 2*x[i];
}

void test5 (int N)
{
for(int i=0; i<100; ++i)
    x[i+100] = 2*x[i+1];
}

